"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useMonths;
var _react = require("react");
var _moment = _interopRequireDefault(require("moment"));
var _date = require("../utils/date");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useMonths(_ref) {
  let {
    startingMonth,
    numberOfMonths
  } = _ref;
  return (0, _react.useMemo)(() => {
    const firstMonth = startingMonth && (0, _date.isValidDate)(new Date(startingMonth)) ? (0, _moment.default)(startingMonth, 'YYYY-MM-DD').toDate() : new Date();
    return {
      firstMonth,
      months: new Array(numberOfMonths)
    };
  }, [numberOfMonths, startingMonth]);
}
//# sourceMappingURL=use-months.js.map