"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addDays = addDays;
exports.getMonthIndex = getMonthIndex;
exports.isSameDate = isSameDate;
exports.isValidDate = isValidDate;
var _moment = _interopRequireDefault(require("moment"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function addDays(date, days) {
  const result = new Date(date);
  result.setDate(result.getDate() + days);
  return result;
}
function isValidDate(date) {
  return Object.prototype.toString.call(date) === '[object Date]' && !isNaN(date.getTime());
}
function isSameDate(one, other) {
  return one.getDate() === other.getDate() && one.getMonth() === other.getMonth() && one.getFullYear() === other.getFullYear();
}
function getMonthIndex(firstMonth, date, months, numberOfMonths) {
  const _firstMonth = (0, _moment.default)(firstMonth);
  const lastMonth = _firstMonth.clone().add(numberOfMonths, 'months');
  if (date >= _firstMonth.toDate() && date <= lastMonth.endOf('month').toDate()) {
    const monthIndex = (0, _moment.default)(date).diff(_firstMonth, 'months');
    if (monthIndex >= 0 && monthIndex <= months.length) {
      return monthIndex;
    }
  }
  return null;
}
//# sourceMappingURL=date.js.map